Anonymous Login
2020-01-27 09:29 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001330OpenClonkObjectspublic2017-12-23 11:20
ReporterJack Rost 
Assigned ToZapper 
PrioritynormalSeverityminorReproducibilitysometimes
StatusresolvedResolutionfixed 
PlatformOSWindowsOS Version7
Product Version 
Target Version8.0Fixed in Version 
Summary0001330: Burned trees don't fall
DescriptionWhen tree was burned it's no longer static object and you can move it, but this tree don't fall like a normal tree when it's no longer static
Steps To Reproduce1. Blast some tree
2. Extinguish it
3. Move this tree
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0003745

Clonkonaut (developer)

That's the regular behaviour of rotatable objects. They tend to stay upright.
That would also be the case with normal trees if those didn't have the special falling down script.

Not sure what to do. Maybe just make another special case with burned trees. They'd just check if movement occurs and if still upright get a slight RDir.

~0004059

Zapper (developer)

What about just making the trees fall down (with the tree-fall-down-script) when they change their definition? Then you wouldn't even have upright burned trees anymore.

~0004079

Clonkonaut (developer)

I set this up for v8.0

The solution is obvious: Let trees fall down when being incinerated. However, this will mean that forest fires are even more devastating because the tree instantly covers a bigger area and may inflame more trees.

Ideally, I would cover this by giving the trees a high fire resistance using ContactIncinerate. But I did a few tests and found out that ContactIncinerate does not what I thought it does and is practically unusable.

So, in order to solve this, the fire script needs to be changed.

~0004088

Zapper (developer)

I have an idea how to change it. But doing that for 8.0 is probably a good idea.

~0005793

Clonkonaut (developer)

Reminder sent to: Zapper

What about that idea?

~0005801

Zapper (developer)

Last edited: 2017-10-25 05:57

View 2 revisions

Haha, if I just knew what I had in mind two years ago :)

But this also sounds like something that could introduce potential issues and might have to wait until after the next release?

PS: The bug is still assigned to you - that's probably why I missed it. I set most filters to not show assigned bugs.

~0005962

Luchs (administrator)

I think trees don't fall down anymore (i.e. stay static) when incinerated, so this is fixed?
+Notes

-Issue History
Date Modified Username Field Change
2015-05-24 18:54 Jack Rost New Issue
2015-05-24 18:54 Jack Rost File Added: ClonkBug_4.gif
2015-08-10 09:29 Clonkonaut Note Added: 0003745
2015-08-10 09:29 Clonkonaut Status new => feedback
2015-10-16 00:33 Sven2 Target Version => 7.0
2015-10-28 18:03 Zapper Note Added: 0004059
2015-11-02 11:20 Clonkonaut Assigned To => Clonkonaut
2015-11-02 11:20 Clonkonaut Status feedback => confirmed
2015-11-04 00:15 Clonkonaut Target Version 7.0 => 8.0
2015-11-04 00:20 Clonkonaut Note Added: 0004079
2015-11-04 09:02 Zapper Note Added: 0004088
2017-10-24 21:49 Clonkonaut Note Added: 0005793
2017-10-25 05:56 Zapper Note Added: 0005801
2017-10-25 05:57 Zapper Note Edited: 0005801 View Revisions
2017-10-25 12:08 Clonkonaut Assigned To Clonkonaut => Zapper
2017-12-23 11:20 Luchs Status confirmed => resolved
2017-12-23 11:20 Luchs Resolution open => fixed
2017-12-23 11:20 Luchs Note Added: 0005962
+Issue History